SolvediStats Not working in macOS 10.15 Catalina

Hello,

I have updated to macOS 10.15 Catalina, then iStats does not work any more.

> iStats
zsh: /usr/local/bin/istats: bad interpreter: /System/Library/Frameworks/Ruby.framework/Versions/2.3/usr/bin/ruby: no such file or directory

It seems, Rubyl are not included in new macOS.

my Ruby version

>ruby -v
ruby 2.6.4p104 (2019-08-28 revision 67798) [x86_64-darwin18]

Thanks

23 Answers

✔️Accepted Answer

Did you try reinstalling iStats? The error is looking for for a ruby executable in the 2.3 folder but from your ruby -v it looks like you have 2.6 installed.

I think iStats needs ruby 2.3, but new macOS remove the ruby 2.3 and my user-ruby is Ruby 2.6

Related Issues:

3
iStats Not working in macOS 10.15 Catalina
Did you try reinstalling iStats? The error is looking for for a ruby executable in the 2.3 folder bu...